SortedSetDocValuesMultiRangeQuery.MultiRangeWeight (Lucene 10.5.0 sandbox API)
Description: declaration: package: org.apache.lucene.sandbox.search, class: SortedSetDocValuesMultiRangeQuery, class: MultiRangeWeight

Package org.apache.lucene.sandbox.search

# Class SortedSetDocValuesMultiRangeQuery.MultiRangeWeight

java.lang.Object
org.apache.lucene.search.Weight
org.apache.lucene.search.ConstantScoreWeight
org.apache.lucene.sandbox.search.SortedSetDocValuesMultiRangeQuery.MultiRangeWeight

All Implemented Interfaces:
  `SegmentCacheable`

Enclosing class:
  `SortedSetDocValuesMultiRangeQuery`

protected class SortedSetDocValuesMultiRangeQuery.MultiRangeWeight extends ConstantScoreWeight
Weight for SortedSetDocValuesMultiRangeQuery

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `protected class`
  `SortedSetDocValuesMultiRangeQuery.MultiRangeWeight.MultiRangeScorerSupplier`
  Scorer supplier for SortedSetDocValuesMultiRangeQuery

  ## Nested classes/interfaces inherited from class org.apache.lucene.search.Weight

  `Weight.DefaultBulkScorer, Weight.DefaultScorerSupplier`

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.search.Weight

  `parentQuery`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MultiRangeWeight(float boost, ScoreMode scoreMode)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isCacheable(LeafReaderContext ctx)`
  `ScorerSupplier`
  `scorerSupplier(LeafReaderContext context)`

  ### Methods inherited from class org.apache.lucene.search.ConstantScoreWeight

  `explain, score`

  ### Methods inherited from class org.apache.lucene.search.Weight

  `bulkScorer, count, getQuery, matches, scorer`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MultiRangeWeight

    public MultiRangeWeight(float boost, ScoreMode scoreMode)

- ## Method Details

  - ### scorerSupplier

    public ScorerSupplier scorerSupplier(LeafReaderContext context) throws IOException
    Specified by:
      `scorerSupplier` in class `Weight`
    Throws:
      `IOException`

  - ### isCacheable

    public boolean isCacheable(LeafReaderContext ctx)